#!/bin/sh

start() {
	/sbin/syslogd -C -m 0
	sleep 3
	cd /server; ./camsvr&
	sleep 1
	# init sensor default values
	/etc/init.d/sensorctl.sh
}

stop() {
#	/bin/kill `pidof camsvr`
	for i in audio.cgi mpeg4.cgi mjpeg.cgi; do
		kill `pidof $i` && echo $i killed
	done
	retry=5
	while [ "$retry" -gt 0 ]
	do
		/bin/kill `pidof camsvr`
		sleep 2
		if [ -n "`/bin/pidof camsvr`" ]; then
			echo "camsvr shutdown fail!"
		else
			echo "camsvr shutdown success!"
			sendmsg hwmon 50 0
			break;
		fi
		retry=$(($retry -1))
	done
	killall syslogd
}

restart() {
	stop
	start
}

case "$1" in
	start)
		start
		;;
	stop)
		stop
		;;
	restart)
		restart
		;;
	*)
		echo $"Usage $0 {start|stop|restart}"
		exit 1
esac

exit $?
