#!/bin/sh

#
# Start daemons: UPNP, ipfind
#
start() {
	echo "Starting UPNP ...."
	if [ `/sbin/cfg -a r net.conf UPNP Enable` != 0 ]
	then
		/usr/bin/logger -t ipcam "UPnP enable"
		/sbin/upnp&
	fi

#	echo "Starting telnetd ..."
#	telnetd -p 15566

	echo "Starting IPFind..."
	/sbin/ipfind&
	/usr/bin/logger -t ipcam "Camera service start"

#
# Start DDNS, the script will check enable/disable itself
#
	/etc/rc.d/init.d/ddns.sh startdelay &
        
# Start watch dog monitor
	echo "Starting Watch dog monitor..."
	/sbin/wdogmon -keepchk=6&
}

stop() {
	/bin/kill `pidof upnp`
	/bin/kill `pidof ipfind`
	/bin/kill `pidof telnetd`
}

restart() {
	stop
	start
}

case "$1" in
	start)
		start
		;;
	stop)
		stop
		;;
	restart)
		restart
		;;
	*)
		echo $"Usage $0 {start|stop|restart}"
		exit 1
esac

exit $?
